unit UCrossEdit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, CrossEdit, ExtCtrls;

type
  TCrossEditForm = class(TForm)
    StringGroupBox: TGroupBox;
    StringEdit1: TCrossEdit;
    StringEdit2: TCrossEdit;
    StringEdit3: TCrossEdit;
    FloatGroupBox: TGroupBox;
    IntegerGroupBox: TGroupBox;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    FloatEdit4: TCrossEdit;
    FloatEdit3: TCrossEdit;
    FloatEdit2: TCrossEdit;
    FloatEdit1: TCrossEdit;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    IntegerEdit3: TCrossEdit;
    IntegerEdit2: TCrossEdit;
    IntegerEdit: TCrossEdit;
    IntegerEdit1: TCrossEdit;
    Label1: TLabel;
    HexEdit: TCrossEdit;
    BinEdit: TCrossEdit;
    Label5: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    procedure IntegerEditExit(Sender: TObject);
    procedure HexEditExit(Sender: TObject);
    procedure BinEditExit(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  CrossEditForm: TCrossEditForm;

implementation

{$R *.DFM}

procedure TCrossEditForm.IntegerEditExit(Sender: TObject);
begin
  HexEdit.SetInteger(IntegerEdit.GetInteger);
  BinEdit.SetInteger(IntegerEdit.GetInteger);
end;

procedure TCrossEditForm.HexEditExit(Sender: TObject);
begin
  IntegerEdit.SetInteger(HexEdit.GetInteger);
  BinEdit.SetInteger(HexEdit.GetInteger);
end;

procedure TCrossEditForm.BinEditExit(Sender: TObject);
begin
  IntegerEdit.SetInteger(BinEdit.GetInteger);
  HexEdit.SetInteger(BinEdit.GetInteger);
end;

end.
